OpenTTD Source: Data Fields

OpenTTD Source 15.3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - d -

- dark_water : ExtraPaletteValues
- dark_water_toyland : ExtraPaletteValues
- data : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >, Blitter_32bppOptimized::SpriteData, Blitter_8bppOptimized::SpriteData, CBinaryHeapT< T >, ColourARGB, ColourBGRA, ColourRGBA, CommandPacket, FaceVar, FlatSet< Tkey, Tcompare >, GoodsEntry, GRFError, LoggedChangeGRFBug, LRUCache< Tkey, Tdata, Thash, Tequality >, MidiFile::DataBlock, NetworkHTTPRequest, NewsItem, NWidgetPartDataTip, OutputBuffer, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >, Sprite, SpriteLoader::Sprite, StringParameter, StringReader, TrueTypeFontCache::GlyphEntry
- data_tip : NWidgetPart::NWidgetPartUnion
- dataset : BaseGraphWindow::BaseFiller
- date : NewsItem, ScriptInfo, SetDateWindow, StoryPage, TimerGameCalendar, TimerGameEconomy
- date_format_in_default_names : GUISettings
- date_fract : TimerGameCalendar, TimerGameEconomy
- date_of_last_service : Vehicle
- date_of_last_service_newgrf : Vehicle
- date_width : MessageHistoryWindow
- DateAtStartOfYear() : TimerGame< T >
- DateFract : TimerGame< T >
- DateToYear() : TimerGame< T >
- Day : TimerGame< T >
- day : TimerGame< T >::YearMonthDay
- day_counter : Vehicle
- DAY_TICKS : Ticks
- DAYS_IN_ECONOMY_MONTH : EconomyTime
- DAYS_IN_ECONOMY_YEAR : EconomyTime
- DAYS_IN_LEAP_YEAR : TimerGameConst< T >
- DAYS_IN_YEAR : TimerGameConst< T >
- days_since_last_month : TimerGameEconomy
- DAYS_TILL_ORIGINAL_BASE_YEAR : TimerGameConst< T >
- dbounds : DropDownIcon< TBase, TEnd >
- dc : Win32FontCache
- dd_client_id : NetworkClientListWindow
- dd_company_id : NetworkClientListWindow
- debugbox : WidgetDimensions
- debugbox_dimension : NWidgetLeaf
- decimal_places : Units, UnitsLong
- DecreaseOps() : Squirrel
- Decrypt() : NetworkEncryptionHandler, X25519EncryptionHandler
- DecTypeCount() : Object
- dedicated : NetworkServerGameInfo
- dedicated_host : AfterNewGRFScan
- dedicated_port : AfterNewGRFScan
- def : IntSettingDesc, ListSettingDesc, StringSettingDesc
- DEF_END_YEAR : TimerGameConst< T >
- DEF_START_YEAR : TimerGameConst< T >
- def_value : GRFParameterInfo
- default_colour : SmallMapColourScheme
- default_compression : SaveLoadFormat
- DEFAULT_FONT_ASCENDER : FontCache
- DEFAULT_FONT_HEIGHT : FontCache
- default_height_trad : WindowDesc
- default_name : SignList
- default_pos : WindowDesc
- default_rail_type : GUISettings
- default_scope : ResolverObject
- default_signal_type : GUISettings
- default_value : ScriptConfigItem
- default_width_trad : WindowDesc
- DEFAULT_WINDOW_HEIGHT : VideoDriver
- DEFAULT_WINDOW_WIDTH : VideoDriver
- defaultcargo_grf : GRFTempEngineData
- DefaultSize() : LanguagePackGlyphSearcher, MissingGlyphSearcher, TextfileWindow
- defsizebox : WidgetDimensions
- defsizebox_dimension : NWidgetLeaf
- DefSQAdvancedMethod() : DefSQClass< CL, ST >
- DefSQAdvancedStaticMethod() : DefSQClass< CL, ST >
- DefSQMethod() : DefSQClass< CL, ST >
- DefSQStaticMethod() : DefSQClass< CL, ST >
- delay : IntroGameViewportCommand, MpsMachine::Channel, ScriptStorage
- delegate : VideoDriver_Cocoa
- delete_ctr : BaseStation
- DeleteAll() : Textbuf
- DeleteChar() : Textbuf
- DeleteClosedWindows() : Window
- DeleteFlows() : FlowStatMap
- DeleteOrderAt() : OrderList
- DeleteText() : Textbuf
- DeleteUnreachedImplicitOrders() : Vehicle
- delivered_cargo : CompanyEconomyEntry
- DeliverSupply() : LinkGraphJob::NodeAnnotation
- delta : CursorVars
- delta_z : AirportFTAClass
- demand : LinkGraph::BaseNode, LinkGraphJob::DemandAnnotation
- demand_distance : LinkGraphSettings
- demand_per_node : SymmetricScaler
- demand_size : LinkGraphSettings
- DemandCalculator() : DemandCalculator
- demands : LinkGraphJob::NodeAnnotation
- DemandTo() : LinkGraphJob::NodeAnnotation
- departure : TimetableArrivalDeparture
- dependencies : ContentInfo
- depot : RailTypeInfo, RoadTypeInfo
- depot_unbunching_last_departure : BaseConsist
- depot_unbunching_next_departure : BaseConsist
- DepotClick() : DepotWindow
- depots : AirportSpec
- depth : NetworkHTTPRequest
- Dequeue() : LinkGraphSchedule
- derived_keys : X25519AuthenticationHandler
- desc : GRFParameterInfo
- descender : FontCache
- descending_sort_order : BuildVehicleWindow, ReplaceVehicleWindow
- description : BaseSet< T >, BlitterFactory, ContentInfo, DriverFactoryBase, PluralForm, ScriptConfigItem, ScriptInfo
- desert_coverage : GameCreationSettings
- dest : NetworkChatWindow, Order
- dest_node : LinkGraph::BaseEdge
- dest_scrollpos_x : ViewportData
- dest_scrollpos_y : ViewportData
- dest_tile : Vehicle
- destination : CargoMovement< Tsource, Tdest >, ClosestDepot, TextfileWindow::Hyperlink
- Destroy() : OpenGLBackend, OpenGLSprite, PacketWriter
- Detach() : HashTableSlot< TItem >, Path
- detailed : FiosType
- detailed_msg : ErrorMessageData
- details_height : BuildVehicleWindow, ReplaceVehicleWindow
- DetermineBestSet() : BaseMedia< Tbase_set >
- DetermineCapacity() : Engine
- developer : GUISettings
- diagonal : TileHighlightData
- DiagonalTileArea() : DiagonalTileArea
- DiagonalTileIterator() : DiagonalTileIterator
- dib_sect : VideoDriver_Win32GDI
- Died() : AIInstance, GameInstance, ScriptInstance
- difficulty : GameSettings
- digit_decimal_separator : LanguagePackHeader, LocaleSettings
- digit_group_separator : LanguagePackHeader, LocaleSettings
- digit_group_separator_currency : LanguagePackHeader, LocaleSettings
- Dijkstra() : MultiCommodityFlow
- dim : DropDownCheck< TBase, TEnd, TFs >, DropDownString< TBase, TFs, TEnd >
- dir : HangarTileTable, ScriptFileChecksumCreator, ShipSubcoordData
- direction : AirportMovingData, Vehicle
- dirty : CursorVars, LinkGraphOverlay, TileHighlightData
- dirty_rect : VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- dirty_tiles : TerraformerState
- DirtyHighlightedGroupWidget() : VehicleGroupWindow
- disable_elrails : VehicleSettings
- DisableAllWidgetHighlight() : Window
- disabled : ButtonCommon
- DisableWidget() : Window
- disallowed_lengths : StationSpec
- disallowed_pillars : BridgeableTileInfo
- disallowed_platforms : StationSpec
- disaster : SoundSettings
- disaster_vehicle : RoadVehicle
- disasters : DifficultySettings
- DisasterVehicle() : DisasterVehicle
- DiscardMarkedText() : Textbuf
- disp_flags : NWidgetCore
- display : CargoSuffix
- display_flags : Engine
- display_last_variant : Engine
- display_list : SaveLoadWindow
- display_time : AnimCursor
- DisplayCrashDialog() : CrashLogOSX
- displayed_actions_on_previous_painting : TownAuthorityWindow
- displayed_rows : StationViewWindow
- DisplayPane : OrdersWindow
- dist_local_authority : EconomySettings
- distance : Path
- DistanceAnnotation() : DistanceAnnotation
- distant_join_stations : StationSettings
- distribution_armoured : LinkGraphSettings
- distribution_default : LinkGraphSettings
- distribution_mail : LinkGraphSettings
- distribution_pax : LinkGraphSettings
- division : HistoryRange
- Do() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- do_reserve : FinalizeRefitAction
- DoAlloc() : ScriptAllocator
- docking_station : Station
- DockToolbarGlobalHotkeys() : BuildDocksToolbarWindow
- DoCommandCallback() : ScriptInstance
- DoCommandReturn() : ScriptInstance
- DoCommandReturnGoalID() : ScriptInstance
- DoCommandReturnGroupID() : ScriptInstance
- DoCommandReturnLeagueTableElementID() : ScriptInstance
- DoCommandReturnLeagueTableID() : ScriptInstance
- DoCommandReturnSignID() : ScriptInstance
- DoCommandReturnStoryPageElementID() : ScriptInstance
- DoCommandReturnStoryPageID() : ScriptInstance
- DoCommandReturnVehicleID() : ScriptInstance
- dodraw : TileLayoutRegisters
- DoRestore() : OrderBackup
- DoScan() : GRFFileScanner, TarScanner
- DoUpdateSpeed() : GroundVehicle< T, Type >
- DownloadContentInfo() : ClientNetworkContentSocketHandler
- downloaded_bytes : BaseNetworkContentDownloadStatusWindow
- downloaded_files : BaseNetworkContentDownloadStatusWindow
- DownloadSelectedContent() : ClientNetworkContentSocketHandler
- DownloadSelectedContentFallback() : ClientNetworkContentSocketHandler
- DownloadSelectedContentHTTP() : ClientNetworkContentSocketHandler
- DP_BOTTOM_MIDDLE_DELETE : OrdersWindow
- DP_BOTTOM_MIDDLE_STOP_SHARING : OrdersWindow
- DP_GROUNDVEHICLE_ROW_CONDITIONAL : OrdersWindow
- DP_GROUNDVEHICLE_ROW_NORMAL : OrdersWindow
- DP_LEFT_LOAD : OrdersWindow
- DP_LEFT_REFIT : OrdersWindow
- DP_MIDDLE_SERVICE : OrdersWindow
- DP_MIDDLE_UNLOAD : OrdersWindow
- DP_RIGHT_EMPTY : OrdersWindow
- DP_RIGHT_REFIT : OrdersWindow
- DP_ROW_CONDITIONAL : OrdersWindow
- DP_ROW_DEPOT : OrdersWindow
- DP_ROW_LOAD : OrdersWindow
- dparam : TileDesc
- drag_signals_density : GUISettings
- drag_signals_fixed_distance : GUISettings
- DrainCommandQueue() : VideoDriver
- Draw() : BaseSettingEntry, Blitter, Blitter_32bppAnim, Blitter_32bppOptimized, Blitter_32bppSimple, Blitter_40bppAnim, Blitter_8bppOptimized, Blitter_8bppSimple, Blitter_Null, ButtonLine, CargoesField, ClientButtonLine, CompanyButtonLine, LinkGraphOverlay, NWidgetBackground, NWidgetBase, NWidgetContainer, NWidgetLayer, NWidgetLeaf, NWidgetMatrix, NWidgetNewGRFDisplay, NWidgetScrollbar, NWidgetSocialPlugins, NWidgetSpacer, NWidgetStacked, NWidgetToolbarContainer, NWidgetViewport, SettingsContainer, SettingsPage, VehicleSpriteSeq
- draw_dates : BaseGraphWindow
- draw_size : CursorVars
- draw_tile_proc : TileTypeProcs
- DrawAcceptedCargo() : StationViewWindow
- DrawActionElement() : StoryBookWindow
- DrawActions() : TownAuthorityWindow
- DrawArrivalDeparturePanel() : TimetableWindow
- DrawButtons() : ButtonLine
- DrawCargoIcons() : StationViewWindow
- DrawCargoRatings() : StationViewWindow
- DrawColourMappingRect() : Blitter, Blitter_32bppAnim, Blitter_32bppSimple, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- DrawContent() : LinkGraphOverlay
- DrawDetails() : NetworkContentListWindow
- DrawElementTimesColumn() : FramerateWindow
- DrawEntries() : StationViewWindow
- DrawGraph() : BaseGraphWindow
- DrawGroupInfo() : VehicleGroupWindow
- DrawHorConnection() : CargoesField
- DrawHorizMapIndicator() : SmallMapWindow
- DrawIndustryNames() : SmallMapWindow
- DrawInfo() : IndustryViewWindow
- DrawLine() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- DrawLinks() : LinkGraphOverlay
- DrawListColumn() : GoalListWindow
- DrawMainPanelWidget() : NewGRFInspectWindow
- DrawMapIndicators() : SmallMapWindow
- DrawMatrix() : NetworkContentListWindow
- DrawMouseCursor() : OpenGLBackend
- DrawRatings() : TownAuthorityWindow
- DrawRect() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- DrawServerLine() : NetworkGameWindow
- DrawSetting() : SettingEntry, SettingsPage
- DrawSignalSprite() : BuildSignalWindow
- DrawSmallMap() : SmallMapWindow
- DrawSmallMapColumn() : SmallMapWindow
- DrawSortButtonState() : Window
- DrawStationDots() : LinkGraphOverlay
- DrawString() : NewGRFInspectWindow
- drawstyle : TileHighlightData
- DrawSummaryPanel() : TimetableWindow
- DrawTimetablePanel() : TimetableWindow
- DrawTowns() : SmallMapWindow
- DrawType() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- DrawVehicleChainWidget() : NewGRFInspectWindow
- DrawVehicleDetails() : VehicleDetailsWindow
- DrawVehicleInDepot() : DepotWindow
- DrawVehicleListItems() : BaseVehicleListWindow
- DrawVehicles() : SmallMapWindow
- DrawVertex() : LinkGraphOverlay
- DrawVertMapIndicator() : SmallMapWindow
- DrawViewport() : Window
- DrawWidget() : AboutWindow, AIConfigWindow, BaseCargoGraphWindow, BaseGraphWindow, BaseNetworkContentDownloadStatusWindow, BootstrapAskForDownloadWindow, BootstrapBackground, BootstrapErrorWindow, BuildAirportWindow, BuildBridgeWindow, BuildDocksDepotWindow, BuildHouseWindow, BuildIndustryWindow, BuildObjectWindow, BuildRailDepotWindow, BuildRailStationWindow, BuildRoadDepotWindow, BuildRoadStationWindow, BuildSignalWindow, BuildTreesWindow, BuildVehicleWindow, BuyCompanyWindow, CheatWindow, CompanyFinancesWindow, CompanyInfrastructureWindow, CompanyStationsWindow, CompanyWindow, DepotWindow, DropdownWindow, EnginePreviewWindow, ErrmsgWindow, FramerateWindow, FrametimeGraphWindow, GameOptionsWindow, GenerateProgressWindow, GoalQuestionWindow, GraphLegendWindow, GSConfigWindow, IndustryCargoesWindow, IndustryDirectoryWindow, LandInfoWindow, LinkGraphLegendWindow, MessageHistoryWindow, MusicTrackSelectionWindow, MusicWindow, NetworkAskRelayWindow, NetworkAskSurveyWindow, NetworkClientListWindow, NetworkContentListWindow, NetworkGameWindow, NetworkJoinStatusWindow, NetworkStartServerWindow, NewGRFInspectWindow, NewGRFParametersWindow, NewGRFWindow, NewsWindow, OrdersWindow, OskWindow, PerformanceLeagueWindow, PerformanceRatingDetailWindow, PickerWindow, QueryWindow, RefitWindow, ReplaceVehicleWindow, SaveLoadWindow, SavePresetWindow, ScanProgressWindow, ScenarioEditorLandscapeGenerationWindow, ScenarioEditorToolbarWindow, ScriptDebugWindow, ScriptLeagueWindow, ScriptListWindow, ScriptSettingsWindow, SelectCompanyLiveryWindow, SelectCompanyManagerFaceWindow, SelectGameWindow, SelectStationWindow< T >, SignListWindow, SmallMapWindow, SpriteAlignerWindow, StatusBarWindow, StoryBookWindow, SubsidyListWindow, TextfileWindow, TimetableWindow, TooltipsWindow, TownAuthorityWindow, TownDirectoryWindow, TownViewWindow, TransparenciesWindow, VehicleDetailsWindow, VehicleGroupWindow, VehicleListWindow, VehicleViewWindow, Window
- DrawWidgetCompanyButton() : ScriptDebugWindow
- DrawWidgetLog() : ScriptDebugWindow
- DrawWidgets() : Window
- driver_info : VideoDriver_CocoaOpenGL, VideoDriver_SDL_Base
- DriverFactoryBase() : DriverFactoryBase
- Drivers : DriverFactoryBase
- dropdown_dimension : NWidgetLeaf
- dropdownlist : WidgetDimensions
- dropdowntext : WidgetDimensions
- DropdownWindow() : DropdownWindow
- dsprite : DropDownIcon< TBase, TEnd >
- dst : Blitter::BlitterParams, Goal, Subsidy
- dst_industry : GenericScopeResolver
- DT_BEGIN : Driver
- DT_END : Driver
- DT_MUSIC : Driver
- DT_SOUND : Driver
- DT_VIDEO : Driver
- dtype : NetworkChatWindow
- dummy : AirportSpec
- dummy_parameter_info : NewGRFParametersWindow
- dummy_tex : OpenGLSprite
- DummyConstructor() : AIInfo
- Dump() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- dumper : SaveLoadParams
- DUPLICATE : SocialIntegrationPlugin
- duplicate_sets : BaseMedia< Tbase_set >
- duration : NewsWindow, TextEffect
- duration_phase_1 : Engine
- duration_phase_2 : Engine
- duration_phase_3 : Engine
- durations : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- dynamic_engines : VehicleSettings